/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *			(C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <dbsdglobal.h>

void	frmLAN::init() {
	/* Initialize Graphics */
	DBSDIconLoader *iloader = DBSDGlobal::getIconLoader();
	lblNetworkIcon->setPixmap(iloader->loadIcon("network", DBSDIconLoader::HintIcon));
	btnOk->setIconSet(iloader->loadIcon("button_ok", DBSDIconLoader::Button));
	btnClose->setIconSet(iloader->loadIcon("button_cancel", DBSDIconLoader::Button));
}

void  frmLAN::setLAN(LAN  *lan) {
	lanConfig->setLAN(lan);
}

void  frmLAN::setNetName(const QString& name) {
	lblNetworkName->setText(name);
}

void  frmLAN::accept() {
	if(lanConfig->save())
		QDialog::accept();
}
